---

- name: deploy-configs
  hosts: localhost

  tasks:
    - name: "{{ ansible_play_name }} | Including vars from /etc/repoman/configs/vars.yml"
      include_vars: /etc/repoman/configs/vars.yml

    - name: "{{ ansible_play_name }} | Ensuring temp directory exists at /etc/repoman/tempdir/"
      ansible.builtin.file:
        path: "/etc/repoman/tempdir/"
        state: directory
        mode: 0700

    - name: "{{ ansible_play_name }} | Ensuring files are removed from /etc/repoman/tempdir/"
      ansible.builtin.file:
        path: "{{ item }}"
        state: absent
      loop: "{{ lookup('fileglob', '/etc/repoman/tempdir/*', wantlist=True) }}"

    - name: "{{ ansible_play_name }} | Ensuring rendered copy of config.yml.j2 in /etc/repoman/configs/ placed in /etc/repoman/tempdir/"
      ansible.builtin.template:
        src: "/etc/repoman/configs/config.yml.j2"
        dest: "/etc/repoman/tempdir/config.yml"
        mode: 0600

    - name: "{{ anisble_play_name }} | Including tasks to perform and print results of gitlabform dryrun"
      ansible.builtin.include_tasks:
        file: "{{ playbook_dir }}/dryrun-deploy.yml"
      loop: "{{ projects }}"

    - name: "{{ ansible_play_name }} | Applying configurations to configured repositories using gitlabform"
      ansible.builtin.shell: "gitlabform -c /etc/repoman/tempdir/config.yml {{ item.name }}"
      register: result
      changed_when: result.rc == 0
      failed_when: result.rc != 0
      loop: "{{ projects }}"
      when: dryrun is not defined
      no_log: "{{ ansible_verbosity < 4 }}"

...
